#include <fstream>
using namespace std;
ifstream f("ntmax.inp");
ofstream g("ntmax.out");
bool snt(int m)
	{
		if (m==2) return true;
		if (m>2)
		{
			for (int b=2;b<m;b++)
			{
				if (m%b==0) return false;
			}
			return true;
		}
	}
int main() 
{
	int x;
	f>>x;
	for (int k=x;k>1;k--)
	{
		if (snt(k)==true)
		{
			g<<k;
			break;
		}
	}
	f.close();
	g.close();
}
	

